Page MenuHomePhabricator

Prepare deployment of usage tracking to Wikidata
Closed, ResolvedPublic3 Estimate Story Points

Event Timeline

Tobi_WMDE_SW raised the priority of this task from to Needs Triage.
Tobi_WMDE_SW updated the task description. (Show Details)
Tobi_WMDE_SW added a subscriber: Tobi_WMDE_SW.
Lydia_Pintscher moved this task from incoming to ready to go on the Wikidata board.Jan 8 2015, 3:31 PM
Tobi_WMDE_SW triaged this task as Medium priority.Jan 8 2015, 4:33 PM
Tobi_WMDE_SW set Security to None.Jan 12 2015, 10:03 AM
Tobi_WMDE_SW edited a custom field.
aude added a subscriber: aude.Jan 16 2015, 2:20 PM

appears to be working now :)

https://test.wikipedia.org/wiki/Kitten_on_arbitrary_page (and the wbc_entity_usage table is updated)

and correctly not working yet on test2:

https://test2.wikipedia.org/wiki/Arbitrary_kitten

when I run dispatch changes for test.wikidata, I see https://test.wikipedia.org/wiki/Kitten get updated but not https://test.wikipedia.org/wiki/Kitten_on_arbitrary_page (assume this is still a @todo to get that to work)

I also don't see Wikidata entries in recent changes or watchlist on test.wikipedia, but do see them on my local dev wiki (with usage tracking enabled) and see them on test2. needs further investigation why changes are not appearing on test.wikipedia, but otherwise seems to work ok now.

aude added a comment.Jan 16 2015, 2:43 PM

see T87026 (probably a config issue), T87010 (a blocker) and T87009

aude renamed this task from Prepare deployment of arbitrary access to Wikidata to Prepare deployment of usage tracking to Wikidata.Jan 16 2015, 3:02 PM
greg added a subscriber: greg.Jan 16 2015, 4:28 PM
In T86187#981915, @aude wrote:

see T87026 (probably a config issue), T87010 (a blocker) and T87009

Are these the issues referenced at https://wikitech.wikimedia.org/w/index.php?title=Deployments&diff=141185&oldid=141045 ?

(Please link blocking bugs/tracking bugs in the future, since you have them :) )

greg added a comment.Jan 16 2015, 4:34 PM

And actually.

Jan 21st (Wed) is All Hands for WMF (Wed and Thurs next week). Monday is a holiday for the US. So...

We won't be running the train next week but will allow one-off low-impact things on Tuesday. No deploys (except really important) on Wed/Thurs due to all of ops and releng etc will be doing All Hands things.

greg added a comment.Jan 16 2015, 5:02 PM
In T86187#982011, @greg wrote:

Jan 21st (Wed) is All Hands for WMF (Wed and Thurs next week). Monday is a holiday for the US. So...
We won't be running the train next week but will allow one-off low-impact things on Tuesday. No deploys (except really important) on Wed/Thurs due to all of ops and releng etc will be doing All Hands things.

https://wikitech.wikimedia.org/wiki/Deployments#Week_of_19th

Summary:

Week of 19th

  • No MediaWiki train deploy due to WMF All Hands
  • No deploys Mon/Wed/Thurs/Fri
  • SWAT/etc on Tues OK

Week of 27th

  • No MediaWiki train deploy due to MediaWiki Dev Summit
  • SWAT all week as normal
  • no other deploys Mon/Tuesday
aude added a comment.Jan 16 2015, 5:25 PM

now tentatively scheduled for (monday) February 2

RP88 added a subscriber: RP88.Jan 19 2015, 2:28 AM
greg added a comment.Jan 30 2015, 4:39 PM

What time on Monday the 2nd do you want?

aude added a comment.Jan 30 2015, 5:15 PM

later in the day is good... maybe 19:00 UTC?

greg added a subscriber: Reedy.Jan 30 2015, 5:21 PM

Added: https://wikitech.wikimedia.org/w/index.php?title=Deployments&diff=142464&oldid=142432

@Reedy: Can you help with that deploy if needed? ^^ (19:00 UTC on Monday)

aude added a comment.Jan 30 2015, 5:50 PM

i actually don't know how long populating the table will take. we might go ahead and add it earlier and start the script earlier in the day. idk what time.

then the enabling should be fairly quick and easy. (already did it for test.*)

Hi Lydia --

Could you please help us understand the user impact of this feature? (Sorry -- just getting up to speed on this stuff)

thanks,

-Toby

aude added a comment.Jan 30 2015, 6:49 PM

@Tnegrin for Wikidata itself, should be no difference since arbitrary access is already enabled there. (e.g. access properties and items on any wiki page, such as list of properties)

usage tracking provides internal tracking of where an item is used on which wiki page, and then will allow us to automatically purge/update that wiki page when the item changes. (not sure how much automatic purging we will already have at this point, though)

we then hope to enable on commons next, but not sure when... commons does not have arbitrary access yet, so they will get usage tracking + arbitrary access which is a bigger deal.

the internal tracking will definitely allow us to have more stats on what is used, how much, where, etc.

@Manybubbles explained this to Bryan and I, and I'm going to attempt to explain this as simply as I can:

This is step 1 of 3(?) toward arbitrary list item transclusion (T49930) on Wikipedia et all. This aspect of it is basically the "related changes" bit that allows for proper purging (but doesn't actually do it).

aude moved this task from Doing to Done on the § Wikidata-Sprint-2015-01-21 board.Feb 3 2015, 1:58 AM
adrianheine closed this task as Resolved.Feb 3 2015, 1:00 PM
adrianheine added a subscriber: adrianheine.